Page MenuHomePhabricator

[spike. 24hrs] Get up to speed with OCG
Closed, ResolvedPublic

Description

We (@pmiazga and @Jdlrobson ) should get up to speed with OCG (reading through Baha's documentation).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2017, 5:30 PM
Jdlrobson renamed this task from Get up to speed with OCG to [spike. 24hrs] Get up to speed with OCG.Aug 23 2017, 5:32 PM
Jdlrobson added a project: Spike.
ovasileva triaged this task as High priority.Aug 23 2017, 5:35 PM

This could use a priority, and maybe Readers-Web-Backlog

Also, "24 hrs" is a lot relative to the typical upper boundary of 8 hours. Does this mean 24 working hours, or "all day one day"?

as discussed in kick off this would be spread out over the course of the sprint to avoid burn out. It is high as there is a lot of reading to do to get up to speed.

Update: still little progress here. I've spent whole day provisioning Vagrant (I didn't expect it to take > 5 hours) so I can try out the existing code and get up to speed with code review. I feel like I have a good grasp of what we are trying to do here and less-technical aspects.

I made good progress today compared to other days. Vagrant is running (albeit slow) and there are still a few bits for me to make sense of:

  • what currently open patchsets do

Still working on this. Usually, I prefer to work on some patches at this point to get more familiar with codebase but given there are no small tasks I will post some refactor tasks.

ovasileva moved this task from Triage to Current Sprint on the Proton board.Aug 30 2017, 5:00 PM

I think I'm up to speed. I certainly feel more comfortable doing reviews in this repo now. How about you @pmiazga ?

Jdlrobson closed this task as Resolved.Sep 6 2017, 5:12 PM
Jdlrobson claimed this task.

Piotr says he's also up to speed